From: "Benoît Thébaudeau" <benoit@wsystem.com>
To: buildroot@busybox.net
Subject: [Buildroot] [PATCH v2 4/8] package/dhcp: fix SysV init scripts output text
Date: Fri, 21 Aug 2015 18:45:15 +0200 [thread overview]
Message-ID: <1440175519-478-5-git-send-email-benoit@wsystem.com> (raw)
In-Reply-To: <1440175519-478-1-git-send-email-benoit@wsystem.com>
Fix various messages displayed by these scripts:
- remove extra "dhcpd3" for `S80dhcp-server stop`,
- make start-stop-daemon quiet in order to avoid extra messages like
"stopped /usr/sbin/dhcpd (pid 174)" being output between the command
description and its result,
- fix the script names in the usage strings.
Signed-off-by: Beno?t Th?baudeau <benoit@wsystem.com>
---
package/dhcp/S80dhcp-relay | 6 +++---
package/dhcp/S80dhcp-server | 8 ++++----
2 files changed, 7 insertions(+), 7 deletions(-)
diff --git a/package/dhcp/S80dhcp-relay b/package/dhcp/S80dhcp-relay
index 74ec63c..dbcfa62 100755
--- a/package/dhcp/S80dhcp-relay
+++ b/package/dhcp/S80dhcp-relay
@@ -33,12 +33,12 @@ DHCRELAYPID=/var/run/dhcrelay.pid
case "$1" in
start)
echo -n "Starting DHCP relay: "
- start-stop-daemon -S -x /usr/sbin/dhcrelay -- -q $OPTIONS $IFCMD $SERVERS
+ start-stop-daemon -S -q -x /usr/sbin/dhcrelay -- -q $OPTIONS $IFCMD $SERVERS
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
echo -n "Stopping DHCP relay: "
- start-stop-daemon -K -x /usr/sbin/dhcrelay
+ start-stop-daemon -K -q -x /usr/sbin/dhcrelay
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart | force-reload)
@@ -47,7 +47,7 @@ case "$1" in
$0 start
;;
*)
- echo "Usage: /etc/init.d/dhcp-relay {start|stop|restart|force-reload}"
+ echo "Usage: $0 {start|stop|restart|force-reload}"
exit 1
esac
diff --git a/package/dhcp/S80dhcp-server b/package/dhcp/S80dhcp-server
index fad6a36..7c1695c 100755
--- a/package/dhcp/S80dhcp-server
+++ b/package/dhcp/S80dhcp-server
@@ -23,12 +23,12 @@ case "$1" in
echo -n "Starting DHCP server: "
test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
- start-stop-daemon -S -x /usr/sbin/dhcpd -- -q $OPTIONS $INTERFACES
+ start-stop-daemon -S -q -x /usr/sbin/dhcpd -- -q $OPTIONS $INTERFACES
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
- echo -n "Stopping DHCP server: dhcpd3"
- start-stop-daemon -K -x /usr/sbin/dhcpd
+ echo -n "Stopping DHCP server: "
+ start-stop-daemon -K -q -x /usr/sbin/dhcpd
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart | force-reload)
@@ -40,7 +40,7 @@ case "$1" in
fi
;;
*)
- echo "Usage: /etc/init.d/dhcp-server {start|stop|restart|force-reload}"
+ echo "Usage: $0 {start|stop|restart|force-reload}"
exit 1
esac
--
2.1.4
next prev parent reply other threads:[~2015-08-21 16:45 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-08-21 16:45 [Buildroot] [PATCH v2 0/8] package/dhcp: rework the SysV init scripts Benoît Thébaudeau
2015-08-21 16:45 ` [Buildroot] [PATCH v2 1/8] package/dhcp: fix SysV init scripts option passing Benoît Thébaudeau
2015-08-21 16:45 ` [Buildroot] [PATCH v2 2/8] package/dhcp/S80dhcp-server: support extra options Benoît Thébaudeau
2015-08-21 16:45 ` [Buildroot] [PATCH v2 3/8] package/dhcp/S80dhcp-server: allow empty INTERFACES Benoît Thébaudeau
2015-08-21 16:45 ` Benoît Thébaudeau [this message]
2015-08-21 16:45 ` [Buildroot] [PATCH v2 5/8] package/dhcp: remove sleep from SysV init scripts restart Benoît Thébaudeau
2015-08-21 16:45 ` [Buildroot] [PATCH v2 6/8] package/dhcp: SysV init scripts: remove PID files after stop Benoît Thébaudeau
2015-08-21 16:45 ` [Buildroot] [PATCH v2 7/8] package/dhcp/S80dhcp-server: support IPv6 lease file Benoît Thébaudeau
2015-08-21 16:45 ` [Buildroot] [PATCH v2 8/8] package/dhcp: SysV init scripts: refactor using functions Benoît Thébaudeau
-- strict thread matches above, loose matches on Subject: below --
2015-10-13 9:35 [Buildroot] [PATCH v2 1/8] package/dhcp: fix SysV init scripts option passing Benoît Thébaudeau
2015-10-13 9:35 ` [Buildroot] [PATCH v2 4/8] package/dhcp: fix SysV init scripts output text Benoît Thébaudeau
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1440175519-478-5-git-send-email-benoit@wsystem.com \
--to=benoit@wsystem.com \
--cc=buildroot@busybox.net \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.